Package fr.gouv.vitam.storage.engine.server.offerdiff

# Class OfferDiffStatus

java.lang.Object
fr.gouv.vitam.storage.engine.server.offerdiff.OfferDiffStatus

public class OfferDiffStatus extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfferDiffStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainer()`
  `String`
  `getEndDate()`
  `long`
  `getErrorCount()`
  `String`
  `getOffer1()`
  `String`
  `getOffer2()`
  `String`
  `getReportFileName()`
  `String`
  `getRequestId()`
  `String`
  `getStartDate()`
  `StatusCode`
  `getStatusCode()`
  `int`
  `getTenantId()`
  `long`
  `getTotalObjectCount()`
  `OfferDiffStatus`
  `setContainer(String container)`
  `OfferDiffStatus`
  `setEndDate(String endDate)`
  `OfferDiffStatus`
  `setErrorCount(long errorCount)`
  `OfferDiffStatus`
  `setOffer1(String offer1)`
  `OfferDiffStatus`
  `setOffer2(String offer2)`
  `OfferDiffStatus`
  `setReportFileName(String reportFileName)`
  `OfferDiffStatus`
  `setRequestId(String requestId)`
  `OfferDiffStatus`
  `setStartDate(String startDate)`
  `OfferDiffStatus`
  `setStatusCode(StatusCode statusCode)`
  `OfferDiffStatus`
  `setTenantId(int tenantId)`
  `OfferDiffStatus`
  `setTotalObjectCount(long totalObjectCount)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OfferDiffStatus

    public OfferDiffStatus()

- ## Method Details

  - ### getRequestId

    public String getRequestId()

  - ### setRequestId

    public OfferDiffStatus setRequestId(String requestId)

  - ### getTenantId

    public int getTenantId()

  - ### setTenantId

    public OfferDiffStatus setTenantId(int tenantId)

  - ### getOffer1

    public String getOffer1()

  - ### setOffer1

    public OfferDiffStatus setOffer1(String offer1)

  - ### getOffer2

    public String getOffer2()

  - ### setOffer2

    public OfferDiffStatus setOffer2(String offer2)

  - ### getContainer

    public String getContainer()

  - ### setContainer

    public OfferDiffStatus setContainer(String container)

  - ### getStatusCode

    public StatusCode getStatusCode()

  - ### setStatusCode

    public OfferDiffStatus setStatusCode(StatusCode statusCode)

  - ### getStartDate

    public String getStartDate()

  - ### setStartDate

    public OfferDiffStatus setStartDate(String startDate)

  - ### getEndDate

    public String getEndDate()

  - ### setEndDate

    public OfferDiffStatus setEndDate(String endDate)

  - ### getReportFileName

    public String getReportFileName()

  - ### setReportFileName

    public OfferDiffStatus setReportFileName(String reportFileName)

  - ### getTotalObjectCount

    public long getTotalObjectCount()

  - ### setTotalObjectCount

    public OfferDiffStatus setTotalObjectCount(long totalObjectCount)

  - ### getErrorCount

    public long getErrorCount()

  - ### setErrorCount

    public OfferDiffStatus setErrorCount(long errorCount)